# Neptunia Game Maker R:Evolution 1.00
# BID: FCA830BAE649B898

DECLARATIONS:
  -
    type: variable
    name: dr_target1
    value_type: float
    default_value: 33.33
    evaluate: "TruncDec(FRAMETIME_TARGET, 2)"
  -
    type: variable
    name: dr_target2
    value_type: float
    default_value: 28.57
    evaluate: "TruncDec(1000 / (FPS_TARGET + 5), 2)"
MASTER_WRITE:
  # Redirect DR timing range to MAIN + 0x878B800
  -
    type: asm_a64
    main_offset: 0x4451E88
    instructions: [
      [adrp, x8, $dr_target1],
      [ldr, w8, [x8, $dr_target1]]
    ]
  -
    type: asm_a64
    main_offset: 0x4451ED4
    instructions: [
      [adrp, x8, $dr_target2],
      [ldr, w8, [x8, $dr_target2]]
    ]
